| AFNIX cross interpreter

axi [client]

Synopsis

Options

h

prints the help message

v

prints the program version

m

enable the start module

i (path|librarian)

add a directory or librarian to the resolver path

e (mode)

force the encoding mode

f (assert)

enable assertion checking

f (nopath)

do not set initial path

f (noseed)

do not seed the random engine

f (seed)

seed the random engine

Description

axi invokes the interpreter command line interpreter. Without arguments, the interpreter is invoked interactively. With one or several arguments, the first argument is taken as the file to execute. The rest of the command line is the arguments for the file being executed. With the help of the file resolver, a file does not have to have the `.als` or `.axc` extensions. When using a librarian, an initial module can be automatically loaded with the help of the `m` option. A double system separator can be used to separate the interpreter options with the program options. Normally, the encoding mode is automatically detected from the running session or from the system environment. However, the `e` option might be used to overwrite the default settings, especially when an file is based on one of the ISO-8859 character set.

Version

The current version is the 2.3.1 release.

See also

axc , axd , axl ,

Notes

The distribution comes with an extensive documentation. The documentation is available online or in the `doc` directory in the form of formatted xhtml documents or manual pages.

Author

The writing system has been conceived and implemented by Amaury Darsch .

History

The writing system was originally called the Aleph programming language which has been discontinued on January 2005 when the 1.0.0 version was released. More information is available in the manual collection.